Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.util
Class Logger.Area

    java.lang.Object
      portlets.compoze.groupware.util.Logger.Area

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Logger

public static class Logger.Area
extends java.lang.Object
implements java.io.Serializable

This class represents an application area.

See Also:
  Serialized Form

Field Summary
`static Logger.Area` | `GENERAL` This value represents the 'General' area.
`static Logger.Area` | `GROUPWARE_PROVIDER` This value represents the 'Groupware Provider' area.
`static Logger.Area` | `LOGIN` This value represents the 'Login' area.
`static Logger.Area` | `PREFERENCES` This value represents the 'Preferences' area.
`static int` | `VALUE_GENERAL` This value represents the 'General' area.
`static int` | `VALUE_GROUPWARE_PROVIDER` This value represents the 'Groupware Provider' area.
`static int` | `VALUE_LOGIN` This value represents the 'Login' area.
`static int` | `VALUE_PREFERENCES` This value represents the 'Preferences' area.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static java.util.List` | `getAreas()` Gets the list of area objects.
`java.lang.String` | `getKey()` Gets the key for area.
`int` | `getValue()` Gets the value of the area.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_PREFERENCES

    public static final int VALUE_PREFERENCES

  This value represents the 'Preferences' area.

  See Also:
    Constant Field Values

### VALUE_GENERAL

    public static final int VALUE_GENERAL

  This value represents the 'General' area.

  See Also:
    Constant Field Values

### VALUE_GROUPWARE_PROVIDER

    public static final int VALUE_GROUPWARE_PROVIDER

  This value represents the 'Groupware Provider' area.

  See Also:
    Constant Field Values

### VALUE_LOGIN

    public static final int VALUE_LOGIN

  This value represents the 'Login' area.

  See Also:
    Constant Field Values

### PREFERENCES

    public static final Logger.Area PREFERENCES

  This value represents the 'Preferences' area.

### GENERAL

    public static final Logger.Area GENERAL

  This value represents the 'General' area.

### LOGIN

    public static final Logger.Area LOGIN

  This value represents the 'Login' area.

### GROUPWARE_PROVIDER

    public static final Logger.Area GROUPWARE_PROVIDER

  This value represents the 'Groupware Provider' area.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key for area.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the area.

  Returns:
    the value (see `VALUE_` constants)

### getAreas

    public static java.util.List getAreas()

  Gets the list of area objects.

  Returns:
    the list of `Area` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.